# Case Commands

/// admonition | These commands are slash commands.
    type: warning
Please make sure to enable them with [`[p]slash enable <command>`](https://docs.discord.red/en/stable/cog_guides/core.html#slash-enable), then sync them with [`[p]slash sync`](https://docs.discord.red/en/stable/cog_guides/core.html#slash-sync).
///

## history

/// admonition | All of the arguments for this command are optional.
    type: info
///

- Usage: `/history [target] [moderator] [pagesize] [page] [ephemeral] [inline] [export]`
    - If both `target` and `moderator` are not present, all moderations for the server will be queried.
- `target:` User whose infractions to query, overrides moderator if both are given
- `moderator:` Moderator whose infractions to query
- `pagesize:` Amount of infractions to list per page
- `page:` Page to select
- `ephemeral:` Hide the command response
- `inline:` Display infractions in a grid arrangement
- `export:` Exports the server's entire moderation history to a JSON file

List previous infractions.

## resolve

- Usage: `/resolve <case> [reason]`
- `case:` (Required) Case number of the case you're trying to resolve
- `reason:` (Optional) Reason for resolving case

Resolve a specific case.

## case

- Usage: `/case <case> [ephemeral] [evidenceformat] [changes] [export]`
- `case:` (Required) What case are you looking up?
- `ephemeral:` (Optional) Hide the command response
- `evidenceformat:` (Optional) …
- `changes:` (Optional) List the changes made to the case
- `export:` (Optional) Export the case to a JSON file or codeblock

Check the details of a specific case.

## edit

- Usage: `/edit <case> <reason> [duration]`
- `case:` (Required) What case are you editing?
- `reason:` (Required) What is the new reason?
- `duration:` (Optional) What is the new duration? Does not reapply the moderation if it has already expired.

Edit the reason of a specific case.
